<?php
/**
 * This module added by HandL UTM Grabber (https://utmgrabber.com/)
 */
namespace ElementorPro\Modules\DynamicTags\Tags;

use Elementor\Controls_Manager;
use Elementor\Core\DynamicTags\Tag;
use ElementorPro\Modules\DynamicTags\Module;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

class Cookies extends Tag {
	public function get_name() {
		return 'cookies';
	}

	public function get_title() {
		return __( 'Cookies', 'elementor-pro' );
	}

	public function get_group() {
		return Module::SITE_GROUP;
	}

	public function get_categories() {
		return [
			Module::TEXT_CATEGORY,
			Module::NUMBER_CATEGORY,
			Module::URL_CATEGORY,
			Module::POST_META_CATEGORY,
		];
	}

	protected function _register_controls() {
		$this->add_control(
			'cookies',
			[
				'label' => __( 'Cookies', 'elementor-pro' ),
				'type'  => Controls_Manager::TEXTAREA,
			]
		);
	}

	public function render() {
		$settings = $this->get_settings();

		if ( empty( $settings['cookies'] ) ) {
			return;
		}

		$shortcode_string = $settings['cookies'];

		$value = isset( $_COOKIE[$shortcode_string] ) ? $_COOKIE[$shortcode_string] : '';

		echo $value;
	}
}
